﻿
<a class="btn btn-danger" href="/Cursos/Detalle?id=@ViewBag.idCurso">Volver al Curso</a>
<br />
<br />
<div class="container">
    @for (int i=0; i<ViewBag.cantidad ; i++)
    {


<div class="row">
    <div class="col-xs-8">
        @if (@ViewBag.porcentajes[i] == 100)
        {
            <div class="panel panel-success">

                <div class="panel-heading">
                    @Model[i].Titulo
                </div>
                <div class="list-group">

                    @foreach (var leccion in Model[i].Lecciones)
                    {
                        <a type="button" class="list-group-item" href="/Leccion/Detalle?id=@leccion.Id"> @leccion.Titulo</a>
                    }

                </div>


            </div>
        }
        else
        {
            <div class="panel panel-danger">

                <div class="panel-heading">
                    @Model[i].Titulo
                </div>
                <div class="list-group">

                    @foreach (var leccion in Model[i].Lecciones)
                    {
                        <a type="button" class="list-group-item" href="/Leccion/Detalle?id=@leccion.Id"> @leccion.Titulo</a>
                    }

                </div>


            </div>
        }

    </div>
        <div class="col-xs-4">
            <p><strong>Progreso:</strong></p>
            <div class="progress">
                @if (@ViewBag.porcentajes[i] == 100)
                {
                    <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="@ViewBag.porcentajes[i]" aria-valuemin="@ViewBag.porcentajes[i]" aria-valuemax="100" style="width: @ViewBag.porcentajes[i]%">
                        @ViewBag.porcentajes[i]%
                    </div>
                }
                else
                {
                    <div class="progress-bar" role="progressbar" aria-valuenow="@ViewBag.porcentajes[i]" aria-valuemin="@ViewBag.porcentajes[i]" aria-valuemax="100" style="width: @ViewBag.porcentajes[i]%; background-color:blueviolet">
                        @ViewBag.porcentajes[i]%
                    </div>
                }

            </div>
            @Model[i].Descripcion
        </div>
        
    </div>
    <hr />
    }
</div>


